package modelo;
// Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final

/**
 * LinfacturaId generated by hbm2java
 */
public class LinfacturaId implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private int factura;
	private int linea;

	public LinfacturaId() {
	}

	public LinfacturaId(int factura, int linea) {
		this.factura = factura;
		this.linea = linea;
	}

	public int getFactura() {
		return this.factura;
	}

	public void setFactura(int factura) {
		this.factura = factura;
	}

	public int getLinea() {
		return this.linea;
	}

	public void setLinea(int linea) {
		this.linea = linea;
	}

	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof LinfacturaId))
			return false;
		LinfacturaId castOther = (LinfacturaId) other;

		return (this.getFactura() == castOther.getFactura()) && (this.getLinea() == castOther.getLinea());
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result + this.getFactura();
		result = 37 * result + this.getLinea();
		return result;
	}

	@Override
	public String toString() {
		return "Linea=" + linea;
	}

}
